![alt text](https://github.com/GoekeLab/xpore/blob/master/figures/xpore_textlogo.png "xPore")



[![PyPI version](https://badge.fury.io/py/xpore.svg)](https://badge.fury.io/py/xpore)
[![Documentation Status](https://readthedocs.org/projects/xpore/badge/?version=latest)](https://xpore.readthedocs.io/en/latest/?badge=latest)
[![Downloads](https://pepy.tech/badge/xpore)](https://pepy.tech/project/xpore)


---


xPore is a Python package for identification and quantification of differential RNA modifications from direct RNA sequencing. 


### Installation

xPore requires [Python3](https://www.python.org).
To install the latest release with PyPI (recommended), run

```sh
$ pip install xpore 
```
---

### Documentation

Please refer to our xPore documentation ([https://xpore.readthedocs.io](https://xpore.readthedocs.io)) for additional information, a quick start guide, and details on the data processing and output file format.

xPore is described in details in [Pratanwanich et al. *Nat Biotechnol* (2021)](https://doi.org/10.1038/s41587-021-00949-w)

---

### Release History

The current release is xPore v2.1. 

Please refer to the github release history for previous releases: https://github.com/GoekeLab/xpore/releases

---

### Citing xPore

If you use xPore in your research, please cite 

Ploy N. Pratanwanich, et al. Identification of differential RNA modifications from nanopore direct RNA sequencing with xPore. *Nat Biotechnol* (2021), [https://doi.org/10.1038/s41587-021-00949-w](https://doi.org/10.1038/s41587-021-00949-w).

---

### Getting Help

We appreciate your feedback and questions! You can report any error or suggestion related to xPore as an [issue on github](https://github.com/GoekeLab/xpore/issues). If you have questions related to the manuscript, data, or any general comment or suggestion please use the [Discussions](https://github.com/GoekeLab/xpore/discussions).

Thank you!

---

### Contact
xPore is maintained by [Ploy N. Pratanwanich](https://github.com/ploy-np), [Yuk Kei Wan](https://github.com/yuukiiwa) and [Jonathan Goeke](https://github.com/jonathangoeke) from the Genome Institute of Singapore, A\*STAR. 
